Bug 841439 - [vdsm] collect diskLatency attribute error
[vdsm] collect diskLatency attribute error
Status: CLOSED WONTFIX
Product: oVirt
Classification: Community
Component: vdsm (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.4
Assigned To: Dan Kenigsberg
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-18 22:25 EDT by Royce Lv
Modified: 2016-02-10 11:37 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-12 05:36:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Royce Lv 2012-07-18 22:25:32 EDT
Description of problem:
when create vm/localfs:
Thread-86::ERROR::2012-07-19 10:21:52,265::utils::399::vm.Vm::(collect) vmId=`f7c1b02f-b304-4e68-8565-3659b1214cb7`::Stats function failed: <AdvancedStatsFunction _sampleDiskLatency at 0x26c03e8>
Traceback (most recent call last):
  File "/usr/lib64/python2.7/site-packages/vdsm/utils.py", line 395, in collect
    statsFunction()
  File "/usr/lib64/python2.7/site-packages/vdsm/utils.py", line 272, in __call__
    retValue = self._function(*args, **kwargs)
  File "/usr/share/vdsm/libvirtvm.py", line 166, in _sampleDiskLatency
    diskLatency[vmDrive.name] = stats[vmDrive.alias]
AttributeError: 'Drive' object has no attribute 'alias'

Version-Release number of selected component (if applicable):
[lvroyce@localhost vdsm]$ rpm -q libvirt
libvirt-0.9.13-1.fc17.x86_64
[lvroyce@localhost vdsm]$ rpm -q vdsm
vdsm-4.10.0-0.185.gitb52165e.fc17.lvroyce1342664137.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Itamar Heim 2013-03-12 05:36:51 EDT
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.